"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const outputBase = require("@jupyter-widgets/output");
const output_1 = require("@jupyter-widgets/jupyterlab-manager/lib/output");
const outputarea_1 = require("@jupyterlab/outputarea");
const $ = require("jquery");
class SimplifiedOutputView extends outputBase.OutputView {
    _createElement(tagName) {
        this.pWidget = new output_1.JupyterPhosphorPanelWidget({ view: this });
        return this.pWidget.node;
    }
    _setElement(el) {
        if (this.el || el !== this.pWidget.node) {
            // Boxes don't allow setting the element beyond the initial creation.
            throw new Error('Cannot reset the DOM element.');
        }
        this.el = this.pWidget.node;
        this.$el = $(this.pWidget.node);
    }
    /**
     * Called when view is rendered.
     */
    render() {
        super.render();
        this._outputView = new outputarea_1.SimplifiedOutputArea({
            rendermime: this.model.widget_manager.rendermime,
            contentFactory: outputarea_1.SimplifiedOutputArea.defaultContentFactory,
            model: this.model.outputs
        });
        // TODO: why is this a readonly property now?
        // this._outputView.model = this.model.outputs;
        // TODO: why is this on the model now?
        // this._outputView.trusted = true;
        this.pWidget.insertWidget(0, this._outputView);
        this.pWidget.addClass('jupyter-widgets');
        this.pWidget.addClass('widget-output');
        this.update(); // Set defaults.
    }
    remove() {
        this._outputView.dispose();
        return super.remove();
    }
}
exports.SimplifiedOutputView = SimplifiedOutputView;
