"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
const base_1 = require("@jupyter-widgets/base");
const SidePanelModel_1 = require("./SidePanelModel");
const SidePanel_1 = require("./SidePanel");
const version_1 = require("./version");
const EXTENSION_ID = '@regulus/sidepanel';
const sidepanelPlugin = {
    id: EXTENSION_ID,
    requires: [base_1.IJupyterWidgetRegistry],
    activate: activateSidepanelExtension,
    autoStart: true
};
exports.default = sidepanelPlugin;
/**
 * Activate the extension.
 */
function activateSidepanelExtension(app, registry) {
    let AppSidePanel = class extends SidePanel_1.SidePanel {
        constructor(options) {
            super(Object.assign({ app }, options));
        }
    };
    registry.registerWidget({
        name: EXTENSION_ID,
        version: version_1.EXTENSION_SPEC_VERSION,
        exports: {
            SidePanelModel: SidePanelModel_1.SidePanelModel,
            SidePanel: AppSidePanel
        }
    });
}
